"{ Package: 'stx:goodies/sunit' }"

LibraryDefinition subclass:#stx_goodies_sunit
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!


!stx_goodies_sunit class methodsFor:'description'!

preRequisites
    ^ #(
        #'stx:libbasic'    "OrderedCollection - referenced by TestResult>>tests "
        #'stx:libtool'    "XPToolbarIconLibrary - referenced by TestRunner class>>defaultIcon "
        #'stx:libview'    "Color - referenced by TestRunner>>displayNormalColorInProgress "
        #'stx:libview2'    "ColorValue - referenced by TestRunner>>displayYellow "
    )
! !

!stx_goodies_sunit class methodsFor:'description - contents'!

classNamesAndAttributes
    ^ #(
        "<className> or (<className> attributes...) in load order"
        (ExampleSetTest autoload)
        (ExampleTestResource autoload)
        (ResumableTestFailureTestCase autoload)
        SUnitDelay
        SUnitNameResolver
        (SUnitTest autoload)
        (SimpleTestResourceTestCase autoload)
        TestCase
        TestFailure
        TestResource
        TestResult
        TestRunner
        TestSuite
        (TestSuitesHierarchyScriptTest autoload)
        (TestSuitesScriptTest autoload)
        TestSuitesScripter
        #'stx_goodies_sunit'
        ResumableTestFailure
        TestCaseWithArguments
    )
!

extensionMethodNames
    ^ #(
    )
! !

!stx_goodies_sunit class methodsFor:'description - project information'!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in nt.def / bc.def"

    ^ 'Smalltalk/X Class library'
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright eXept Software AG 1998-2007'

    "Modified: / 08-11-2007 / 16:57:33 / cg"
! !

!stx_goodies_sunit class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/goodies/sunit/stx_goodies_sunit.st,v 1.9 2008-10-31 12:49:27 cg Exp $'
! !
